.swade-app {
  //Custom properties
  --content-background-image: url('assets/paperboard-texture.webp');
  --content-shadow: inset 0 0 2rem 1rem rgba(0, 0, 0, 0.2);
  --font-color: rgb(0, 0, 0);
  --accent-color: rgb(140, 22, 15);
  --accent-color-secondary: rgb(170, 170, 170);
  --default-font: 'Roboto Slab', 'Signika', serif;
  --section-header-font: var(--tab-font);

  //tabs
  --tab-font: 'Anton', 'Signika', sans-serif;
  --tab-color-active: var(--accent-color);
  --tab-color-inactive: rgb(0, 0, 0);
  --tab-hover-shadow: 0 0 8px var(--color-shadow-primary);

  //inputs
  --input-box-shadow: 0 0 5px rgb(255, 0, 0);
  --input-border-line: 2px solid var(--accent-color-secondary);
  --input-border-radius: 0;

  //buttons
  --button-border-radius: 5px;

  font-family: var(--default-font);
  scrollbar-gutter: stable;

  .window-content,
  &.app.sidebar-popout .window-content {
    //sheet background
    background: var(--content-background-image) repeat left top;
    box-shadow: var(--content-shadow);
    color: var(--font-color);
  }

  .debug * {
    background-color: rgba(0, 100, 0, 0.1) !important;
  }

  input[type],
  select {
    color: var(--font-color);
    &:hover,
    &:focus {
      box-shadow: var(--input-box-shadow);
    }
    &:disabled {
      &:hover,
      &:focus {
        box-shadow: none;
      }
    }
  }

  input[type='checkbox'],
  input[type='radio'] {
    &:hover,
    &:focus {
      filter: drop-shadow(var(--input-box-shadow));
      box-shadow: none;
    }
    accent-color: var(--accent-color);
    &:checked {
      -webkit-filter: none;
      filter: none;
      &:hover,
      &:focus {
        filter: drop-shadow(var(--input-box-shadow));
        box-shadow: none;
      }
    }
  }

  select {
    width: 100%;
    // height: var(--form-field-height);
  }

  option {
    font-family: var(--default-font);
  }

  input[type='number'],
  input[type='text'],
  select {
    height: unset;
    background-color: transparent;
    border: none;
    border-radius: var(--input-border-radius);
    border-bottom: var(--input-border-line);
    font-family: var(--default-font);
    &[multiple] {
      border: var(--input-border-line);
      option:checked {
        background: var(--color-text-dark-secondary);
        color: var(--color-text-light-heading);
      }
    }
  }

  button {
    i {
      margin-right: 0;
    }
    &[type='submit'],
    &.submit,
    &.close {
      margin-top: $medium-spacing;
    }
    cursor: pointer;
    border-radius: var(--button-border-radius);
    font-family: var(--default-font);
    &:focus {
      box-shadow: var(--input-box-shadow);
    }
    &:hover {
      text-shadow: var(--input-box-shadow);
    }
    &:disabled {
      color: revert;
      cursor: default;
      &:hover,
      &:focus {
        text-shadow: none;
        box-shadow: none;
      }
    }
    &.invisible {
      border: none;
      background: transparent;
      border-radius: 0;
      width: auto;
      padding: $small-spacing;
      margin: $small-spacing;
    }
    &.rollable {
      border-bottom: 1px dashed black;
    }
  }

  fieldset {
    border-color: var(--accent-color-secondary);
    border-style: solid;
  }

  .tabs {
    margin-top: 6px;
    flex-wrap: wrap;
    .item {
      flex: 1;
      padding: $small-spacing 1ch;
      font-family: var(--tab-font);
      text-align: center;
      font-size: 1em;
      color: var(--tab-color-inactive);
      border-radius: 8px 8px 0 0;
      box-shadow:
        0px -4px 6px -3px #0000009e,
        0px -4px 6px -3px #0000002b inset;
      white-space: nowrap;
      &:hover,
      &:focus {
        text-shadow: var(--tab-hover-shadow);
      }
    }
    .active {
      text-shadow: none;
      color: var(--tab-color-active);
      box-shadow: 0px -6px 6px -1px #0000006b;
      &:hover,
      &:focus {
        text-shadow: none;
      }
    }
  }
  summary {
    &:hover,
    &:focus {
      text-shadow: var(--input-box-shadow);
    }
  }

  .sub-tabs {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-around;
    border-top: 1px solid var(--color-border-light-primary);
    border-bottom: 1px solid var(--color-border-light-primary);
    padding: $medium-spacing 0px;
    margin: $medium-spacing 0px;
    .item {
      flex-grow: 1;
      text-align: center;
      font-size: $medium-font;
      &:hover {
        text-shadow: 0 0 20px var(--color-shadow-primary);
      }
      &.active {
        text-shadow: 0 0 10px var(--color-shadow-primary);
      }
    }
    .item + .item {
      border-left: 1px solid var(--color-border-light-primary);
    }
  }

  .tab {
    display: none;
    overflow: hidden auto;
    height: 100%;
    width: 100%;
    padding: 7px;
    .active {
      display: block;
    }
  }

  footer {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    column-gap: 0.5rem;

    button {
      margin-left: 0;
      margin-right: 0;
      font-weight: 700;
    }
  }

  .unmarked-list {
    list-style: none;
  }

  .flex-separator {
    flex: 0 !important;
    text-align: center;
    margin: 0 $small-spacing !important;
  }

  .text-center {
    text-align: center;
  }

  .empty-hint {
    color: var(--accent-color-secondary);
  }

  /* Scrollbar */
  ::-webkit-scrollbar {
    width: 6px;
    height: 6px;
  }
  ::-webkit-scrollbar-track {
    box-shadow: 0 0 1px var(--accent-color-secondary) inset;
    border-radius: 4px;
  }
  ::-webkit-scrollbar-thumb {
    outline: none;
    border-radius: 3px;
    background: var(--accent-color);
    border: 1px solid color-mix(in srgb, var(--accent-color), white 20%);
  }
}
